package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description: 术语分类枚举
 * @author: gaodm
 * @time: 2019/5/6 13:58
 */
public enum LexiconTypeEnum implements KeyedNamed {
    SYMPTOM(1,"症状"),
    TIME(2,"时间"),
    BODYPART(3,"部位"),
    NATURE(4,"性质"),
    CAUSE(5,"诱因"),
    DEGREE(6,"程度"),
    NEGATIVE(7,"阴性"),
    POSITIVE(8,"阳性"),
    COMPANY(9,"单位"),
    DRUGS(10,"药品"),
    TREATMENT(11,"治疗"),
    LIS_PACKAGE(12,"化验套餐"),
    LIS_DETAILS(13,"化验明细"),
    LIS_RESULTS(14,"化验结果"),
    PACS_PACKAGE(15,"辅检套餐"),
    PACS_ITEMS(16,"辅检项目"),
    PACS_RESULTS(17,"辅检结果"),
    DIAGNOSIS(18,"诊断"),
    CONNECTIVES(19,"连接词"),
    POSITION(20,"方位"),
    RELATIVES(21,"亲属"),
    MARRIAGE(22,"婚姻"),
    FOOD(23,"食品"),
    HISTORY(24,"历史"),
    OPERATION(25,"手术"),
    SYMPTOM_MANIFESTATION(26,"症状表现"),
    DIGITAL_QUANTIFIER(27,"数字量词"),
    NUMBER(28,"数字"),
    DRUG_CATEGORY_BIG(29,"药品大类"),
    DRUG_CATEGORY_SMALL(30,"药品小类"),
    PACS_CATEGORY_BIG(31,"辅检大类"),
    PACS_CATEGORY_SMALL(32,"辅检小类"),
    VITAL_INDEX(33,"体征指标"),
    VITAL_INDEX_VALUE(34,"体征指标值"),
    VITAL_RESULT(35,"体征结果"),
    PLACE(36,"地点"),
    OCCUPATION(37,"职业"),
    PERSONAL_HISTORY(38,"个人史"),
    PERSONAL_HISTORY_DESCRIPTION(39,"个人史描述"),
    TIME_DESCRIPTION(40,"时间描述"),
    SYMPTOM_INDEX(41,"症状指标"),
    MEDICAL_SUPPLIES(42,"医用耗材 "),
    DEGREE_CLASSIFIER(43,"程度量词"),
    OTHER(44,"其他"),
    DELETE(45,"删除"),
    LIS_TABLES(46,"化验公表项"),
    DEPARTMENT(47,"科室"),
    GAUGE(48,"量表"),
    SIDE_EFFECTS(49,"不良反应"),
    CORE_INDICATORS(50,"核心指标"),
    TYPES_OF_DISEASE(51,"疾病类型(慢病|急诊)");

    @Setter
    private Integer key;

    @Setter
    private String name;

    LexiconTypeEnum(Integer key, String name) {
        this.key = key;
        this.name = name;
    }

    public static LexiconTypeEnum getEnum(Integer key) {
        for (LexiconTypeEnum item : LexiconTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(Integer key) {
        LexiconTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}

